webman官网,下载的php静态文件报错

luscio

问题描述

php静态文件报错

报错信息

PHP Warning:  PHP Startup: Unable to load dynamic library 'zip.so' (tried: /app/php-dist/lib/php/20210902/zip.so (Dynamic loading not supported), /app/php-dist/lib/php/20210902/zip.so.so (Dynamic loading not supported)) in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library 'swoole.so' (tried: /app/php-dist/lib/php/20210902/swoole.so (Dynamic loading not supported), /app/php-dist/lib/php/20210902/swoole.so.so (Dynamic loading not supported)) in Unknown on line 0
PHP 8.1.22 (cli) (built: Aug 10 2023 12:58:20) (NTS)
Copyright (c) The PHP Group
Zend Engine v4.1.22, Copyright (c) Zend Technologies
355 3 0
3个回答

北月

静态PHP-CLI不支持动态加载扩展,也就是说你在PHP.INI加上你自己在本地编译的.SO文件没啥用。

  • jenchih 2024-03-12

    我本地环境里面的php7里面有这个扩展, 下载静态的php81,直接使用,就提示上面类似的错误,,要如何屏蔽,还是忽略就好

tanhongbin

这个扩展 你可以自己编译到静态php里面,群主的静态php就一些基本的php扩展 没有特殊需求的扩展基本够用了

  • jenchih 2024-03-12

    我本地环境里面的php7里面有这个扩展, 下载静态的php81,直接使用,就提示上面类似的错误,,要如何屏蔽,还是忽略就好

xiaopi
  • 暂无评论
🔝